## Does not compile with final
KDE_OPTIONS = nofinal

libcricketxmpp_la_SOURCES = constants.cpp \
			    jid.cpp \
			    saslmechanism.cpp \
			    xmppclient.cpp \
			    xmppengineimpl.cpp \
			    xmppengineimpl_iq.cpp \
			    xmpplogintask.cpp \
			    xmppstanzaparser.cpp \
			    xmpptask.cpp

noinst_HEADERS = asyncsocket.h \
			    prexmppauth.h \
		    	    saslhandler.h \
		      	    xmpplogintask.h \
			    jid.h \
		    	    saslmechanism.h \
		      	    xmppclient.h \
		   	    xmpppassword.h \
                            constants.h \
		    	    saslplainmechanism.h \
			    xmppclientsettings.h \
			    xmppstanzaparser.h \
		 	    xmppengine.h \
		   	    xmpptask.h \
			    plainsaslhandler.h \
			    saslcookiemechanism.h \
		     	    xmppengineimpl.h


AM_CPPFLAGS = -DPOSIX -I$(srcdir)/../..
noinst_LTLIBRARIES = libcricketxmpp.la
